# $Revision: 1.50 $, $Date: 2011/08/31 20:08:53 $
Summary:	ispell - interactive spelling checker
Summary(de.UTF-8):	ispell - interaktive Rechtschreibprüfung
Summary(fr.UTF-8):	ispell - vérificateur orthographique interactif
Summary(pl.UTF-8):	ispell - interaktywny program do sprawdzania pisowni
Summary(ru.UTF-8):	ispell - интерактивная программа проверки орфографии
Summary(tr.UTF-8):	Etkilmli yazım denetleyici
Summary(uk.UTF-8):	ispell - інтерактивна програма перевірки орфографії
Name:		ispell
Version:	3.3.02
Release:	4
License:	BSD-like
Group:		Applications/Text
Source0:	http://fmg-www.cs.ucla.edu/geoff/tars/%{name}-%{version}.tar.gz
# Source0-md5:	12087d7555fc2b746425cd167af480fe
Source1:	spell
Source2:	%{name}-local.h
Patch0:		ispell-3.3.02-glibc-2.10.patch
URL:		http://ficus-www.cs.ucla.edu/geoff/ispell.html
BuildRequires:	bison
BuildRequires:	ncurses-devel
Conflicts:	vim-ispell <= 4:6.1.212-4
Conflicts:	ispell-pl < 20021127-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the interactive spelling checker. You can run it on text files
and it will interactively spell check. This means it will tell you
about words it doesn't know, and will suggest alternatives when it
can.

%description -l de.UTF-8
Dies ist die interaktive Rechtschreibprüfung. Sie kann auf Textdateien
angewendet werden und prüft interaktiv auf orthographische Fehler. Das
heißt, das Programm meldet, Möglichkeit eine Alternative vor.

%description -l fr.UTF-8
Le correcteur orthographique interactif. Vous pouvez le lancer sur des
fichiers texte et il les vérifiera de manière interactive. Cela
sisgnifie qu'il vous indiquera les mots qu'il ne reconnait pas et vous
proposera des solutions de remplacement s'il le peut.

%description -l pl.UTF-8
Program ten to interaktywny pakiet do sprawdzania pisowni. Można
używać go do sprawdzania pisowni plików tekstowych. Działa on w ten
sposób, że informuje o napotkanych, nieznanych słowach i sugeruje ich
zamienniki znajdujące się w słowniku.

%description -l uk.UTF-8
Ispell - це інтерактивна програма перевірки орфографії. Ispell
перевіряє текстовий файл в пошуку орфографічних помилок. Коли вона
знаходить слово, якого немає в словнику, вона пропонує близькі до
нього коректні слова для заміни.

Зверніть увагу, що цей пакет містить лише програму перевірки. Вам буде
потрібно встановити ще пакети з файлами словників для тих мов,
правильність текстів на яких ви хочете перевіряти.

%description -l tr.UTF-8
ispell, metin dosyaları üzerinde sözcük yazımı denetimleri yapan ve
hatalı olduğunu düşündüğü sözcükleri kullanıcıya bildirerek
etkileşimli olarak düzeltilmesine çalışan bir yazılımdır. Düzeltme
önerilerinde bulunma yeteneği de vardır.

%description -l ru.UTF-8
Ispell - это интерактивная программа проверки орфографии. Ispell
проверяет текстовый файл в поиске орфографических ошибок и опечаток.
Когда она находит слово, которого нет в словаре, она предлагает
близкие к нему корректные слова для замены.

Обратите внимание, что этот пакет содержит только программу проверки,
к ней необходимо установить пакеты с файлами словарей для тех языков,
правильность текстов на которых вы хотите проверять.

%package en
Summary:	English dictionary for ispell
Summary(pl.UTF-8):	Angielski słownik dla ispella
Group:		Applications/Text
Requires:	%{name} = %{version}-%{release}

%description en
English dictionary (i.e. word list) for ispell.

%description en -l pl.UTF-8
Angielski słownik (lista słów) dla ispella.

%prep
%setup -q
%patch0 -p1

install %{SOURCE2} local.h
sed -i -e 's#define[ \t]CC[ \t].*#define CC "%{__cc}"#g' local.h
sed -i -e 's#define[ \t]CFLAGS[ \t].*#define CFLAGS "%{rpmcflags}"#g' local.h
sed -i -e 's#define[ \t]LDFLAGS[ \t].*#define LDFLAGS "%{rpmldflags}"#g' local.h
sed -i -e 's#define[ \t]BINDIR[ \t].*#define BINDIR "%{_bindir}"#g' local.h
sed -i -e 's#define[ \t]LIBDIR[ \t].*#define LIBDIR "%{_libdir}/%{name}"#g' local.h
sed -i -e 's#define[ \t]MAN1DIR[ \t].*#define MAN1DIR "%{_mandir}/man1"#g' local.h
sed -i -e 's#define[ \t]MAN45DIR[ \t].*#define MAN45DIR "%{_mandir}/man5"#g' local.h
sed -i -e 's#define[ \t]TEXINFODIR[ \t].*#define TEXINFODIR "%{_infodir}"#g' local.h
sed -i -e 's#define[ \t]ELISPDIR[ \t].*#define ELISPDIR "%{_libdir}/emacs/site-lisp"#g' local.h

%build
# Make config.sh first
PATH=.:$PATH %{__make} -j1 config.sh

# Now save build-rooted version (with time-stamp) for install ...
sed -e "s,/usr/,$RPM_BUILD_ROOT%{_prefix}/,g"  < config.sh > config.sh.INSTALL

# and then make everything
PATH=.:$PATH TEMLIB="-lncurses" \
	%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir},%{_infodir},%{_libdir}/{%{name},emacs/site-lisp}}

# Roll in the build-root'ed version (with time-stamp!)
mv -f config.sh.INSTALL config.sh
PATH=.:$PATH %{__make} -j1 install

install %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%dir %{_libdir}/ispell

%files en
%defattr(644,root,root,755)
%{_libdir}/ispell/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ispell.spec,v $
Revision 1.50  2011/08/31 20:08:53  arekm
- rel 4; parallel build broken

Revision 1.49  2011/08/31 20:03:04  arekm
- rel 3; getline fix

Revision 1.48  2011/08/31 18:32:49  arekm
- release 2

Revision 1.47  2011/01/29 00:06:47  sparky
- dropped pre-cvs changelog

Revision 1.46  2008/01/24 01:47:47  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.45  2008-01-24 01:42:48  glen
- fix-info-dir doesn't make sense in preun, moved to postun

Revision 1.44  2008-01-24 01:36:33  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.43  2007-02-13 08:06:35  glen
- tabs in preamble

Revision 1.42  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.41  2007/01/28 00:12:03  arekm
- up to 3.3.02

Revision 1.40  2006/09/03 00:16:40  qboosh
- strict internal dep

Revision 1.39  2005/06/17 10:02:18  zbyniu
- BR: ncurses-devel

Revision 1.38  2005/02/07 21:39:18  averne
- fixed to work with %{_libdir}

Revision 1.37  2004/09/25 11:20:52  radek
- cosmetics (spaces -> tabs)

Revision 1.36  2004/01/05 01:30:24  undefine
- release 2

Revision 1.35  2003/12/27 22:28:37  undefine
- s,/usr/lib/ispell,%{_libdir}/ispell to allow build on amd64

Revision 1.34  2003/05/25 11:00:52  malekith
- massive attack, adding Source-md5

Revision 1.33  2003/05/25 05:49:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2003/03/02 18:27:03  juandon
- added pmake.patch

Revision 1.31  2003/02/04 19:55:57  mmazur
- fixed building

Revision 1.30  2002/12/27 01:46:21  qboosh
- updated to 3.2.06 - last available version
- it's not "GNU" - GNU ispell was short-lived version 4.0 existing before 3.1
- removed obsolete info,mask,no-EXTRADICT,glibc,texlongspace patches
- updated config,gets,[german],config2,[isohtml] patches
- removed isohtml patch - it's partially applied and remaining part wasn't used
  (HTSPECIAL was no defined), so I don't bother to update it
- WARNING: format changed, dictionaries must be rebuilt!

Revision 1.29  2002/05/27 19:37:27  qboosh
- separated English dictionary - not everyone needs it
- new %%doc
- release 36

Revision 1.28  2002/04/25 16:37:52  arturs
fixed a small typo

Revision 1.27  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/02/22 09:47:11  kloczek
- release 35: removed buggy noprotosplease2 patch (causes compilation
  failing on axp).

Revision 1.25  2002/02/21 04:05:29  kloczek
- release 34,
- merge noprotosplease2, jbj, isohtml patches from rawhide,
- remove /sbin/install-info from Prereq,
- merge translations from KSI.

Revision 1.24  2002/02/16 12:33:19  malekith
- rel 16
- license is got damn BSD not GPL
- i still don't know why it's GNU Ispell... (but I left it)
- adapterized

Revision 1.23  2002/02/01 00:01:51  ankry
- added Group(fr)

Revision 1.22  2002/01/18 02:13:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/11/25 12:01:35  qrczak
- ispell-config2.patch: fix paths of installed files

Revision 1.20  2001/10/13 22:16:06  qboosh
- glibc patch - don't #define bzero/bcopy etc.
- added YACC="bison -y" to config patch, fixed config patch, BuildReq: bison
- info patch now fixes ispell.texinfo so it can be rebuild
  (removed separate ispell.info; fixed FHS in config patch; BuildReq: texinfo)
- release 15

Revision 1.19  2001/05/02 00:42:08  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.18  2001/01/25 20:03:24  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.17  2000/09/04 19:13:19  baggins
- release 14
- added no-EXTRADICT patch

Revision 1.16  2000/04/01 11:14:47  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.15  2000/03/28 16:54:34  baggins
- translated kloczkish into english

Revision 1.14  1999/09/16 14:25:53  wiget
- typo

Revision 1.13  1999/09/16 13:54:26  wiget
- added missing %%patch8

Revision 1.12  1999/09/16 13:51:15  wiget
- added ispell-munchlist.patch

Revision 1.11  1999/07/20 11:04:33  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.10  1999/07/12 23:06:00  kloczek
- added using CVS keywords in %changelog (for automating them).
